Fetch Customer details
curl --request GET \
--url https://api.creptapay.com/v1/customer/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creptapay.com/v1/customer/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creptapay.com/v1/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creptapay.com/v1/customer/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.creptapay.com/v1/customer/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.creptapay.com/v1/customer/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creptapay.com/v1/customer/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Successfully fetched customer",
"data": {
"id": "60d0fe4f5311236168a109c9",
"first_name": "Chidera",
"last_name": "Okonkwo",
"company_name": "Okonkwo Stores",
"email": "chidera@example.com",
"phone": "+2348012345678",
"business": "60d0fe4f5311236168a109c8",
"environment": "production",
"createdAt": "2026-07-24T14:08:52.000Z",
"updatedAt": "2026-07-24T14:08:52.000Z"
}
}{
"message": "A grace period can't be longer than 30 days",
"data": null
}{
"message": "Invalid API key",
"data": null
}{
"message": "Plan not found",
"data": null
}Customers
Get Customer
Retrieve specific customer information by ID. Requires secret key starting with sk_.
GET
/
customer
/
{id}
Fetch Customer details
curl --request GET \
--url https://api.creptapay.com/v1/customer/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creptapay.com/v1/customer/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creptapay.com/v1/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.creptapay.com/v1/customer/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.creptapay.com/v1/customer/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.creptapay.com/v1/customer/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.creptapay.com/v1/customer/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Successfully fetched customer",
"data": {
"id": "60d0fe4f5311236168a109c9",
"first_name": "Chidera",
"last_name": "Okonkwo",
"company_name": "Okonkwo Stores",
"email": "chidera@example.com",
"phone": "+2348012345678",
"business": "60d0fe4f5311236168a109c8",
"environment": "production",
"createdAt": "2026-07-24T14:08:52.000Z",
"updatedAt": "2026-07-24T14:08:52.000Z"
}
}{
"message": "A grace period can't be longer than 30 days",
"data": null
}{
"message": "Invalid API key",
"data": null
}{
"message": "Plan not found",
"data": null
}Retrieve details of a specific customer profile by ID.
Request authentication
This endpoint requires a Secret Key (sk_...) passed in either the x-api-key header or as a Bearer token in the Authorization header.
Path parameters
string
required
The unique ID of the customer.